//   Verwendete Anschlüsse für die JUMPER:
//
//   Stiftleiste I2C:
//   INT1 SCL SDA GND  ACHTUNG INT1 beim R6V2 ist PA4 !!!!!
//   INT1 == PA4  als Ausgang auf GND setzen JUMPER0
//   SCL  == PC0                             JUMPER0 Eingang mit Pullup
//   SDA  == PC1                             JUMPER1 Eingang mit Pullup
//   GND                                     JUMPER1
//   VDD  nicht verbunden VORSICHT MIT JUMPERN!!!!

class Jumper
{
    public:
        Jumper()
        {
            DDRA  |= (1<<PA4);  //Behelfsmasse, zweiter Anschluß Jumper 0
            PORTA &= ~(1<<PA4);  //auf Masse setzen 

            DDRC &= ~(1<<PC0);  //PC0==SCL als Eingang mit Pullup, erster Anschluß Jumper 0
            PORTC |= (1<<PC0);

            DDRC &= ~(1<<PC1);  //PC1==SCL als Eingang mit Pullup, erster Anschluß Jumper 1
            PORTC |= (1<<PC1);

            //GND bereits vorhanden.
        }

        //Methoden, um Jumper-Zustand zu prüfen:
        bool isSetJumper0()
        {
            if( (PINC & (1<<PC0))==0 )
                 return true;
            else
                 return false;
        }

        bool isSetJumper1()
        {
            if( (PINC & (1<<PC1))==0 )
                 return true;
            else
                 return false;
        }

} jumper;