class Loop6_LEER : public LOOP
{
    public:
        
        void exec(unsigned char t)
        {
        }
} loop6_LEER;

class Loop6_WLAN : public LOOP
{
    public:
        int ZUSTAND;        
        long int ZEIT;

        Loop6_WLAN()
        {
            ZUSTAND = 0;
            ZEIT = 0;
        }        

        void init()
        {
            ZUSTAND = 0;
            ZEIT = 0;
        }

        void exec(unsigned char t)
        {
            switch(ZUSTAND)
            {
                case 0:
                    init();
                    led.aus(0);
                    led.an(1);
                    led.an(2);
                    serial.setOKfalse();
                    serial.setERRfalse();
                    ZEIT=0;
                    ZUSTAND=1;
                break;
                case 1:
                    if(serial.getOK()==true)
                        ZUSTAND=2;
                    ZEIT++;
                break;
                case 2:
                    led.an(0);
                    led.aus(1);
                    led.aus(2);
                break;
            }
        }
} loop6_WLAN;


class Loop6_WLAN2 : public LOOP
{
    public:
        int ZUSTAND;        
        long int ZEIT;

        Loop6_WLAN2()
        {
            ZUSTAND = 0;
            ZEIT = 0;
        }        

        void init()
        {
            ZUSTAND = 0;
            ZEIT = 0;
        }

        void exec(unsigned char t)
        {
            switch(ZUSTAND)
            {
                case 0:
                    init();
                    ZUSTAND=1;
                    led.aus(0);
                    led.aus(1);
                    led.an(2);
                    serial.setOKfalse();
                    serial.setERRfalse();
                    ZEIT=0;

                    serial.initWLAN();
                break;


                case 1:
                     if(ZEIT>300)
                         ZUSTAND = 11;
                     ZEIT++;
                break;

                //************ BEFEHL ****************
                case 11:  //Mehrere Verbindungen erlauben.
                    serial.setOKfalse();
                    serial.setERRfalse();
                    serial.sendeText("AT+CWMODE=1\r\n");
                    ZEIT=0;
                    ZUSTAND = 12;
                break;
                case 12:
                    if(serial.getOK()==true)
                    {
                        ZUSTAND = 21;
                    }
                    if(serial.getERR()==true)
                    {
                        ZUSTAND = 100;
                    }

                    if(ZEIT>900)
                    {
                        ZUSTAND = 200;
                    }

                    ZEIT++;
                break;
                //************ ENDE BEFEHL ****************

                //************ BEFEHL ****************
                case 21:  //IP festlegen a.
                    serial.setOKfalse();
                    serial.setERRfalse();
                    serial.sendeText("AT+CIPSTA=\"10.0.0.11\"\r\n");
                    ZEIT=0;
                    ZUSTAND = 22;
                break;
                case 22:
                    if(serial.getOK()==true)
                    {
                        //ZUSTAND = 31;
                        ZUSTAND = 41; //TEST
                    }
                    if(serial.getERR()==true)
                    {
                        ZUSTAND = 100;
                    }

                    if(ZEIT>900)
                    {
                        ZUSTAND = 200;
                    }

                    ZEIT++;
                break;
                //************ ENDE BEFEHL ****************

                //************ BEFEHL ****************
                case 31:  //IP festlegen  b.
                    serial.setOKfalse();
                    serial.setERRfalse();
                    serial.sendeText("AT+CIPAP=\"10.0.0.11\"\r\n");
                    ZEIT=0;
                    ZUSTAND = 32;
                break;
                case 32:  //Bei diesem Befehl nicht auf OK warten, sondern einfach weiter:
                    //if(serial.getOK()==true)
                    //{
                    //    ZUSTAND = 41;
                    //}
                    if(serial.getERR()==true)
                    {
                        ZUSTAND = 100;
                    }

                    if(ZEIT>900)
                    {
                        //ZUSTAND = 200;
                        ZUSTAND = 41;
                    }

                    ZEIT++;
                break;
                //************ ENDE BEFEHL ****************

                //************ BEFEHL ****************
                case 41:  //Ins W-LAN-Netz verbinden.
                    serial.setOKfalse();
                    serial.setERRfalse();
                    serial.sendeText("AT+CWJAP=\"NETGEAR\",\"1234567890\"\r\n");
                    ZEIT=0;
                    ZUSTAND = 42;
                break;
                case 42:
                    if(serial.getOK()==true)
                    {
                        ZUSTAND = 51;
                    }
                    if(serial.getERR()==true)
                    {
                        ZUSTAND = 100;
                    }

                    if(ZEIT>900)
                    {
                        ZUSTAND = 200;
                    }

                    ZEIT++;
                break;
                //************ ENDE BEFEHL ****************

                //************ BEFEHL ****************
                case 51:  //Mehrere Verbindungen erlauben
                    serial.setOKfalse();
                    serial.setERRfalse();
                    serial.sendeText("AT+CIPMUX=1\r\n");
                    ZEIT=0;
                    ZUSTAND = 52;
                break;
                case 52:
                    if(serial.getOK()==true)
                    {
                        ZUSTAND = 61;
                    }
                    if(serial.getERR()==true)
                    {
                        ZUSTAND = 100;
                    }

                    if(ZEIT>900)
                    {
                        ZUSTAND = 200;
                    }

                    ZEIT++;
                break;
                //************ ENDE BEFEHL ****************

                //************ BEFEHL ****************
                case 61:  //Als Telnet-Server auf Port 8081 arbeiten
                    serial.setOKfalse();
                    serial.setERRfalse();
                    serial.sendeText("AT+CIPSERVER=1,8081\r\n");
                    ZEIT=0;
                    ZUSTAND = 62;
                break;
                case 62:
                    if(serial.getOK()==true)
                    {
                        ZUSTAND = 71;
                    }
                    if(serial.getERR()==true)
                    {
                        ZUSTAND = 100;
                    }

                    if(ZEIT>900)
                    {
                        ZUSTAND = 200;
                    }

                    ZEIT++;
                break;
                //************ ENDE BEFEHL ****************


                case 71:
                    led.an(0);
                    led.aus(1);
                    led.aus(2);
                break;

                case 100:
                    led.aus(0);
                    led.an(1);
                    led.an(2);
                break;

                case 200:
                    led.an(0);
                    led.an(1);
                    led.an(2);
                break;
            }
        }
} loop6_WLAN2;
